DeployedDependency
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.deployment.resources
Class DeployedDependency

    java.lang.Object
      org.gcube.vremanagement.resourcemanager.impl.deployment.resources.Dependency
          org.gcube.vremanagement.resourcemanager.impl.deployment.resources.DeployedDependency

    public class DeployedDependency

extends Dependency

A package deployed by a Deployer service

Author:
  Manuele Simi (ISTI-CNR)

Constructor Summary
`DeployedDependency()`

Method Summary
`java.lang.String` | `getHost()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getStatus()`
`void` | `setHost(java.lang.String host)`
`void` | `setMessage(java.lang.String message)`
`void` | `setStatus(java.lang.String status)`

Methods inherited from class org.gcube.vremanagement.resourcemanager.impl.deployment.resources.Dependency
`equals, getName, getService, getVersion, hashCode, setName, setService, setVersion, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeployedDependency

    public DeployedDependency()

Method Detail

### getHost

    public java.lang.String getHost()

  Returns:
    the host

### setHost

    public void setHost(java.lang.String host)

  Parameters:
    `host` - the host to set

### getStatus

    public java.lang.String getStatus()

  Returns:
    the status

### setStatus

    public void setStatus(java.lang.String status)

  Parameters:
    `status` - the status to set

### getMessage

    public java.lang.String getMessage()

  Returns:
    the message

### setMessage

    public void setMessage(java.lang.String message)

  Parameters:
    `message` - the message to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD